Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Interface PartitionHandler

    public interface PartitionHandler

An interface specifying how Btree prefixes should be calculated.

Method Summary
`int` | `partition(Database db, DatabaseEntry key)` The application-specific database partitioning callback.

Method Detail

### partition

    int partition(Database db,
                  DatabaseEntry key)

  The application-specific database partitioning callback.

  Parameters:
    `db` - The enclosing database handle.
    `key` - A database entry representing a database key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.